org.multiverse.api.collections

## Interface TxnList<E>

Type Parameters:
  `E` -

All Superinterfaces:
  java.util.Collection<E>, java.lang.Iterable<E>, TxnCollection<E>, TxnIterable<E>

All Known Implementing Classes:
  NaiveTxnLinkedList

    public interface TxnList<E>
    extends TxnCollection<E>

### Method Summary

Methods
`E` `get(int index)`
`E` `get(Txn txn, int index)`
`int` `indexOf(java.lang.Object item)`
`int` `indexOf(Txn txn, java.lang.Object item)`
`int` `lastIndexOf(java.lang.Object item)`
`int` `lastIndexOf(Txn txn, java.lang.Object item)`
`E` `remove(int index)`
`E` `remove(Txn txn, int index)`
`E` `set(int index, E element)`
`E` `set(Txn txn, int index, E element)`

### Methods inherited from interface org.multiverse.api.collections.TxnCollection

`add, addAll, addAll, addAll, clear, contains, containsAll, getStm, isEmpty, remove, size, toString`

### Methods inherited from interface org.multiverse.api.collections.TxnIterable

`iterator, iterator`

### Methods inherited from interface java.util.Collection

`add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, toArray, toArray`

### Method Detail

#### indexOf

    int indexOf(java.lang.Object item)

#### indexOf

    int indexOf(Txn txn,
              java.lang.Object item)

#### lastIndexOf

    int lastIndexOf(java.lang.Object item)

#### lastIndexOf

    int lastIndexOf(Txn txn,
                  java.lang.Object item)

#### get

    E get(int index)

#### get

    E get(Txn txn,
        int index)

#### set

    E set(int index,
        E element)

#### set

    E set(Txn txn,
        int index,
        E element)

#### remove

    E remove(int index)

#### remove

    E remove(Txn txn,
           int index)